# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jun 21 13:02:40 2024
# ------------------------------------------------

package:
  name: git
  version: 2.40.1
source:
  - folder: code
    patches:
      - 0001-macOS-Do-not-use-the-system-Wish-urgh.patch
    sha256: 55511f10f3b1cdf5db4e0e3dea61819dfb67661b0507a5a2b061c70e4f87e14c
    url: https://mirrors.edge.kernel.org/pub/software/scm/git/git-2.40.1.tar.gz
  - folder: manpages
    sha256: 6bbde434121bd0bf8aa574c60fd9a162388383679bd5ddd99921505149ffd4c2
    url: https://mirrors.edge.kernel.org/pub/software/scm/git/git-manpages-2.40.1.tar.gz
  - folder: htmldocs
    sha256: 4fcce89aa84c79be6641fee54cf05c590c7d967734536770bf6299cae26c8a51
    url: https://mirrors.edge.kernel.org/pub/software/scm/git/git-htmldocs-2.40.1.tar.gz
build:
  detect_binary_files_with_prefix: true
  number: '3'
  string: pl5340h9abc3c3_3
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - autoconf 2.71 pl5340h5eee18b_0
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gdbm 1.18 hd4cb3f1_4
    - gettext 0.21.0 h39681ba_1
    - icu 73.1 h6a678d5_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libxml2 2.10.4 hfdd30dd_2
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - ncurses 6.4 h6a678d5_0
    - patch 2.7.6 h7b6447c_1001
    - perl 5.34.0 h5eee18b_2
    - readline 8.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.14 h39e8969_0
    - xz 5.4.6 h5eee18b_1
    - zlib 1.2.13 h5eee18b_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - c-ares 1.19.1 h5eee18b_0
    - ca-certificates 2024.3.11 h06a4308_0
    - curl 7.88.1 hdbd6064_2
    - expat 2.4.9 h6a678d5_0
    - gdbm 1.18 hd4cb3f1_4
    - krb5 1.20.1 h143b758_1
    - libcurl 7.88.1 h251f7ec_2
    - libedit 3.1.20230828 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.57.0 h2d74bed_0
    - libssh2 1.11.0 h251f7ec_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.14 h5eee18b_0
    - pcre2 10.42 hebb0a14_1
    - perl 5.34.0 h5eee18b_2
    - readline 8.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_1
  run:
    - curl
    - expat >=2.4.9,<3.0a0
    - gettext
    - libcurl >=7.88.1,<8.0a0
    - libgcc-ng >=11.2.0
    - openssl >=3.0.14,<4.0a0
    - pcre2 >=10.42,<10.43.0a0
    - perl 5.*
    - tk
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - test -f $PREFIX/bin/git
    - test -f $PREFIX/bin/gitk
    - git --version
    - git clone https://github.com/conda-forge/git-feedstock
    - bash $PREFIX/share/bash-completion/completions/git
    - test -f $PREFIX/man/man1/git.1
    - test -f $PREFIX/share/doc/git/index.html
about:
  description: 'Git is a distributed version control system that tracks changes in
    any set of computer files,

    usually used for coordinating work among programmers collaboratively developing
    source code during software development.

    '
  dev_url: https://github.com/git/git
  doc_url: https://git-scm.com/docs
  home: https://git-scm.com/
  license: GPL-2.0-or-later and LGPL-2.1-or-later
  license_family: OTHER
  license_file: code/COPYING
  summary: distributed version control system
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b2f84d4d-f325-4458-a387-354ea0eda6cc
  recipe-maintainers:
    - djsutherland
    - jakirkham
    - msarahan
    - ocefpaf
    - pelson
    - scopatz
  remote_url: git@github.com:AnacondaRecipes/git-feedstock.git
  sha: de88c080d1bb03c4a71e1bbbb777438170a745c1
